# NixOS on RISC-V

This repository contains NixOS configurations for different RISC-V machines.

## QEMU

To boot the system in QEMU, first enter the development shell:

```
$ nix develop
```

Then run the boot script:

```
$ ./boot.sh
```

To prevent the GC from erasing the system:

```
$ nix build .#devShells.x86_64-linux.default --out-link result-env
```

## FPGA

```
. fpga/env.sh
fpga/fpgactl -w /path/to/bitstream -b openpiton2.bin -k kernel-nixos -r initrd-nixos
```
